#!/bin/bash
if [ "$#" -ne 2 ]; then
	echo "USAGE: $0 INFILE TRIEINFILE"
	echo "DESCRIPTION: program converts a newline-seperated collection of strings"
	echo "  to a file usable for xbwt trie construction. \\0- and \\1- bytes are removed from INFILE."
	echo "INFILE: File containing newline-seperated strings to build the trie from."
	echo "  Note that the last line shouldn't be followed by a newline,"
	echo "  otherwise the constructed trie might not work properly"
	echo "TRIEINFILE: File to store the generated infile for construction"
  exit 1
else
	cat $1 | awk '{ for(i=length;i!=0;i--) { printf "%c",substr($$0,i,1); } print "";}' | sort | uniq | tr -d '\0' | tr -d '\1' | tr -s '\n' '\1' > $2
fi
